From e180131f802cb5ba61d8dbc04baf0b5f65f8b149 Mon Sep 17 00:00:00 2001
From: Andrey Borodin <amborodin@acm.org>
Date: Wed, 23 Oct 2024 20:50:33 +0300
Subject: [PATCH v4 3/4] Add asserts to address review feedback

---
 src/backend/access/nbtree/nbtree.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/backend/access/nbtree/nbtree.c b/src/backend/access/nbtree/nbtree.c
index bd88b33..3a775e8 100644
--- a/src/backend/access/nbtree/nbtree.c
+++ b/src/backend/access/nbtree/nbtree.c
@@ -1083,6 +1083,8 @@ btvacuumscan(IndexVacuumInfo *info, IndexBulkDeleteResult *stats,
 		for (; scanblkno < num_pages; scanblkno++)
 		{
 			Buffer buf = read_stream_next_buffer(stream, NULL);
+			Assert(BufferIsValid(buf));
+			Assert(BufferGetBlockNumber == scanblkno);
 			btvacuumpage(&vstate, buf);
 			if (info->report_progress)
 				pgstat_progress_update_param(PROGRESS_SCAN_BLOCKS_DONE,
-- 
2.39.5 (Apple Git-154)

